﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[ExecuteInEditMode]
[RequireComponent(typeof(Camera))]
public class ContoursGradient : PostEffectsBase {
    [Range(0, 2)]
    public float gradMagnitudeThreshold = 0.5f;
    [Range(0, 2)]
    public float edgeFalloff = 0.05f;

    void Start()
    {
        shader = Shader.Find("NPR/ContoursGradient");
        CreateMaterial();
    }

    void OnRenderImage(RenderTexture source, RenderTexture destination)
    {
        if (CreateMaterial())
        {
            material.SetFloat("gradMagnitudeThreshold", gradMagnitudeThreshold);
            material.SetFloat("edgeFalloff", edgeFalloff);
            Graphics.Blit(source, destination, material);
        }
        else
        {
            Graphics.Blit(source, destination);
        }
    }


}
